Plot HomeDocumentation
Areas

Create or Update Area

Creates a new area or updates an existing one if ID is provided

POST
/v1/areas

Creates a new area or updates an existing one if ID is provided

Query Parameters

expand?|||array<>

Expansion fields: "all" (full enrichment, default), "none" (IDs only), or comma-separated/repeated fields (members,taskStatuses,taskLabels)

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/v1/areas" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "publicId": "str"  }'
{  "id": "string",  "name": "string",  "publicId": "str",  "description": "string",  "icon": "string",  "color": "string",  "privacy": "workspace",  "archivedAt": "2019-08-24T14:15:22Z",  "members": [    {      "id": "string",      "role": "string",      "username": "string",      "email": "user@example.com",      "lastAccessedAt": "string",      "createdAt": "string"    }  ],  "taskStatuses": [    {      "id": "string",      "name": "string",      "stage": "string",      "color": "string"    }  ],  "taskLabels": [    {      "id": "string",      "color": "icon-secondary",      "name": "string"    }  ]}